! Bu program pesepese istasyonlarin baslama ve bitis yillarini belirlemek icin yazilmistir.
! Hüseyin Toros 3.2.2008
program baslama_bitis_yili
   character(len=50)::istadi,s1,s2,s3,istkont,ilkist
   integer::i,j,istno,yil,yilkont,ilkyil,ios
   open(unit=1,file="gunyag.dat",status="old",action="read")
   open(unit=2,file="gunyag.isy",status="unknown",action="write")
   read(unit=1,fmt="(a8,2i7)")istadi,istno,yil
   ! print*, istadi,yil
    ilkist=istadi
    ilkyil=yil
!    write(unit=2,fmt="(a8,i7)")istadi,yil
do 
    istkont=istadi
    yilkont=yil
   read(unit=1,fmt="(a8,2i7)",iostat=ios)istadi,istno,yil
   if (ios<0) then
        write(unit=2,fmt="(a8,2i7)")ilkist,ilkyil,yilkont   
        print*,ilkist,ilkyil,yilkont     
        exit
   end if     

   if (istkont==istadi) then 
       cycle
      else
        write(unit=2,fmt="(a8,2i7)")ilkist,ilkyil,yilkont   
        print*,ilkist,ilkyil,yilkont     
        istkont=istadi
        yilkont=yil
        ilkist=istadi
        ilkyil=yil
   end if     
end do
close (unit=1)
close (unit=2)
end program baslama_bitis_yili
